﻿(function($) {
    var authtoken = localStorage.getItem('authtoken');
    var $exportDialog, $importDialog;

    $(document).on('click', '#law-exporter-export', function (e) {
        e.preventDefault();
        
        $.ajax({
            url: '/api/v1/mods/lawexporter/get',
            type: 'get',
            async: false,
            data: { authtoken: authtoken },
            success: function (result) {
                $('#law-exporter-export-text').val(JSON.stringify(result));
                $exportDialog.dialog('open');
            },
            error: function (jqXhr, textStatus) {
                $('#law-exporter-export-text').val('');
                $('#status').empty().html(textStatus + '<br/>\n' + jqXhr.responseText).fadeIn();
            }
        });
    });

    $(document).on('click', '#law-exporter-import', function (e) {
        e.preventDefault();
        $importDialog.dialog('open');
    });

    $(function () {
        $('#law-add-submit-button').after('' +
            '<button id="law-exporter-export" class="eco-button">Export law</button>' +
            '<button id="law-exporter-import" class="eco-button">Import law</button>' +
            '<div id="law-exporter-export-dialog" title="Export Law">' +
            '   <textarea id="law-exporter-export-text" style="width:600px;height:360px;" placeholder="Please wait"></textarea>' +
            '</div>' +
            '<div id="law-exporter-import-dialog" title="Import Law">' +
            '   <textarea id="law-exporter-import-text" style="width:600px;height:360px;" placeholder="Paste json code"></textarea>' +
            '</div>' +
            '');

        $exportDialog = $('#law-exporter-export-dialog').dialog({
            autoOpen: false,
            modal: true,
            height: 600,
            width: 650,
            buttons: {
                Close: function () {
                    $('#law-exporter-export-text').val('');
                    $exportDialog.dialog('close');
                }
            }
        });

        $importDialog = $('#law-exporter-import-dialog').dialog({
            autoOpen: false,
            modal: true,
            height: 600,
            width: 650,
            buttons: {
                Submit: function () {
                    $.ajax({
                        url: '/api/v1/mods/lawexporter/set',
                        type: 'post',
                        async: false,
                        data: { authtoken: authtoken, data: $('#law-exporter-import-text').val() },
                        success: function () {
                            $importDialog.dialog('close');
                            window.lawadd.logicDraftCall();
                        },
                        error: function (jqXhr, textStatus) {
                            $importDialog.dialog('close');
                            $('#status').empty().html(textStatus + '<br/>\n' + jqXhr.responseText).fadeIn();
                            window.lawadd.logicDraftCall();
                        }
                    });
                }
            }
        });

    });

})(jQuery);